server {
	server_name {{ webapp_site.domain }};
	root {{ www_root }}/{{ webapp_site.domain }};

	# security
	# include common/security.conf;

	# logging
	access_log /var/log/nginx/{{ webapp_site.domain }}.access.log;
	error_log /var/log/nginx/{{ webapp_site.domain }}.error.log warn;

	# index.html fallback
	location / {
		root {{ www_root }}/{{ webapp_site.domain }}/tradr;
		try_files $uri $uri/ /index.html;
	}

	# reverse proxy
	location /{{ webapp_site.backend_location }} {
		root {{ www_root }}/{{ webapp_site.domain }}/{{ webapp_site.label }};
		proxy_pass {{ webapp_site.backend_url }};
		include common/proxy.conf;
	}

	# additional config
	# include common/general.conf; # needs optimization to allow explorer to load its assets files
	listen [::]:443 ssl ipv6only=on; # managed by Certbot
	listen 443 ssl; # managed by Certbot
	ssl_certificate /etc/letsencrypt/live/test.tradr.wijaa-technologies.com/fullchain.pem; # managed by Certbot
	ssl_certificate_key /etc/letsencrypt/live/test.tradr.wijaa-technologies.com/privkey.pem; # managed by Certbot
	include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
	ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}

# subdomains redirect
server {
	listen {{ webapp_site.listen_http_port }};
	listen [::]:{{ webapp_site.listen_http_port }};

	server_name *.{{ webapp_site.domain }};

	return 301 http://{{ webapp_site.domain }}$request_uri;
}

server {
    if ($host = {{ webapp_site.domain }}) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


	listen 80;
	listen [::]:80;

	server_name {{ webapp_site.domain }};
    return 404; # managed by Certbot


}
